Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu Web V3: Fetch homepage feed

/api/v1/xiaohongshu/web_v3/fetch_homefeedsync$0.015 / call

Get homepage recommended notes (TikHub · Xiaohongshu Web V3)

Input
  • numinteger

    Number of results, max 40 (default 20)

  • cursor_scorestring

    Pagination cursor (default "")

  • categorystring

    Category channel ID (default "homefeed_recommend")

  • need_filter_imageboolean

    Image notes only (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/web_v3/fetch_homefeed","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.